## python-trame-client 3.10.4

=== tests/requirements.txt ===
pytest
pytest-asyncio
pytest-playwright
pixelmatch
Pillow
pytest-xprocess
trame>=3.6
trame-server>=3

=== debian/changelog ===
python-trame-client (3.10.4-1) unstable; urgency=medium

  * Initial packaging.
  * Disable testsuite initially.

 -- Roland Mas <lolando@debian.org>  Fri, 14 Nov 2025 17:45:22 +0100

=== debian/control ===
Source: python-trame-client
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-aiohttp <!nocheck>,
 python3-all,
 python3-hatchling,
 python3-msgpack <!nocheck>,
 python3-pillow <!nocheck>,
 python3-pixelmatch <!nocheck>,
 python3-playwright <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-xprocess <!nocheck>,
 python3-setuptools,
 python3-trame <!nocheck>,
 python3-wslink <!nocheck>,
Standards-Version: 3.9.6
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/kitware/trame-client
Vcs-Git: https://salsa.debian.org/python-team/packages/python-trame-client.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trame-client

Package: python3-trame-client
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python desktop-like applications in a web browser - core client
 Trame is an easy-to-use, Python-based framework that let you create
 desktop like application which shows up in your web browser. You can
 create buttons, dialogs, 3D scenes with VTK/ParaView, charts, maps
 and much more.
 .
 It is great for any micro apps, dashboards, or even replacing a PyQt
 app into a web app. You can also use it in development, for example
 when tweaking/configuring 3D rendering, machine learning and more.
 .
 At the end your app can be used locally, remotely, in the cloud, in
 Jupyter or on HPC.
 .
 This package contains the core client, a generic single page
 application that come with trame. trame-client provides the
 infrastructure on the client-side (browser) to connect to a trame
 server, synchronize its state with the server, make method calls,
 load dynamically components and feed a dynamic template provided by
 the server. This package is not supposed to be used by itself but
 rather should come as a dependency of trame.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	rm debian/*/usr/lib/python3*/dist-packages/trame/modules/__init__.py
	rm debian/*/usr/lib/python3*/dist-packages/trame/ui/__init__.py

override_dh_auto_test:

=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto,uversionmangle=s/rc/~rc/" \
https://github.com/kitware/trame-client refs/tags/v?(\d\S+)

## python-trame-client 3.11.2

=== debian/changelog ===
python-trame-client (3.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 19 Nov 2025 16:19:18 +0100
